For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Connect
BlogHelp CenterAPI PricingSign up
OverviewElevenCreativeElevenAgentsElevenAPIReception AIAPI referenceChangelog
OverviewElevenCreativeElevenAgentsElevenAPIReception AIAPI referenceChangelog
  • API reference
    • Introduction
    • Authentication
    • Streaming
  • ElevenAgents
  • ElevenAPI
      • POSTCreate a pronunciation dictionary from a file
      • POSTCreate a pronunciation dictionary from rules
      • GETGet pronunciation dictionary
      • PATCHUpdate Pronunciation Dictionary
      • GETGet pronunciation dictionary by version
      • GETList pronunciation dictionaries
  • ElevenCreative
  • Core Resources
  • Workspace
  • Legacy
LogoLogo
Login
Login
Connect
BlogHelp CenterAPI PricingSign up
ElevenAPIPronunciation Dictionaries

Create a pronunciation dictionary from a file

POST
/v1/pronunciation-dictionaries/add-from-file
POST
/v1/pronunciation-dictionaries/add-from-file
$curl -X POST https://api.elevenlabs.io/v1/pronunciation-dictionaries/add-from-file \
> -H "Content-Type: multipart/form-data" \
> -F name="My Dictionary" \
> -F file=@<file1>
1{
2 "id": "5xM3yVvZQKV0EfqQpLrJ",
3 "name": "My Dictionary",
4 "created_by": "ar6633Es2kUjFXBdR1iVc9ztsXl1",
5 "creation_time_unix": 1714156800,
6 "version_id": "5xM3yVvZQKV0EfqQpLrJ",
7 "version_rules_num": 5,
8 "permission_on_resource": "admin",
9 "description": "This is a test dictionary"
10}
Creates a new pronunciation dictionary from a lexicon .PLS file
Was this page helpful?
Previous

Create a pronunciation dictionary from rules

Next
Built with

Headers

xi-api-keystringOptional

Request

This endpoint expects a multipart form containing an optional file.
namestringRequired
The name of the pronunciation dictionary, used for identification only.
filefileOptional
A lexicon .pls file which we will use to initialize the project with.
descriptionstring or nullOptional
A description of the pronunciation dictionary, used for identification only.
workspace_accessenum or nullOptional
Should be one of 'admin', 'editor' or 'viewer'. If not provided, defaults to no access.
Allowed values:

Response

Successful Response
idstring
The ID of the created pronunciation dictionary.
namestring
The name of the created pronunciation dictionary.
created_bystring
The user ID of the creator of the pronunciation dictionary.
creation_time_unixinteger
The creation time of the pronunciation dictionary in Unix timestamp.
version_idstring
The ID of the created pronunciation dictionary version.
version_rules_numinteger
The number of rules in the version of the pronunciation dictionary.
permission_on_resourceenum or null
The permission on the resource of the pronunciation dictionary.
Allowed values:
descriptionstring or null
The description of the pronunciation dictionary.

Errors

422
Unprocessable Entity Error